Thursday, September 22, 2016

VMware Horizon Client - Ubuntu 16.04 / Elementary OS Loki

I have been using google-fu for the past two weeks in an attempt to get the latest Linux Horizon Client running on Elementary OS Loki x64. For those not familiar Elementary OS is an awesome distro based on Ubuntu. Link Here: https://elementary.io/ The latest version Loki is based on the extended support Ubuntu 16.04. As with all things new it can be difficult to find clear documentation on how to get all the extended requirements functional.

So here is the step by step:

1. Download latest Horizon Client for Linux
At time of writing this was  https://my.vmware.com/web/vmware/details?productId=578&rPId=12719&downloadGroup=CART16Q3_LIN64_420

2. Install bundle: sudo ./VMware-Horizon-Client-4.2.0-4329640.x64.bundle
3. Accept ULA and accept defaults unless you want to customize for your needs
4. This is the tricky bit. We need a 32 bit library and we need need to fake out the client into thinking its an old version.
  1. Get 32 bit library: sudo apt-get install libudev1:i386
  2. Create link so the client is able to find what it is looking for but is still using an up to date library: sudo ln -sf /lib/x86_64-linux-gnu/libudev.so.1 /lib/x86_64-linux-gnu/libudev.so.0 
5. Now we simply launch the Horizon client from a terminal session:  vmware-view  

You should now have a functional Horizon client in Elementary OS or Ubuntu 16.04.
 I will be doing some more testing and will update the post if I can get any of the advanced features functional. 

No comments:

Post a Comment